Subject: bug#69242: project-any-command with overriding-local-map

From: Dmitry Gutov <[email-masked]>
Date: Thu, 22 Feb 2024 05:42:15 +0200

On 20/02/2024 09:49, Juri Linkov wrote:
> There is another use of 'overriding-local-map' in project.el:
> in 'project--switch-project-command'.  Not sure if this should be
> replaced with 'overriding-terminal-local-map' as well.

Probably not: there is no intention to use any of the local maps there, 
AFAIR.

> Also not sure how 'overriding-terminal-local-map' will affect
> 'universal-argument' that relies on 'overriding-terminal-local-map'.
> Maybe project.el should use
> 
>    (internal-push-keymap map 'overriding-terminal-local-map)
> 
> like in 'set-transient-map'.  Ok, need to try and test this more.

Please do.